use serde::{Deserialize, Serialize};

pub mod game_state;
pub mod global_data;
pub mod listener;
pub mod message_router;
pub mod player_data;
pub mod role;

#[derive(Debug, Deserialize, Serialize, Clone, Eq, PartialEq, Copy)]
pub enum Phase {
    Day,
    Night,
}

impl Default for Phase {
    fn default() -> Self {
        Self::Night
    }
}
